Bug 832699 - external display shutdown on laptop lid close
external display shutdown on laptop lid close
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 13:01 EDT by HulkDerHungrige
Modified: 2013-07-31 20:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:44:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description HulkDerHungrige 2012-06-16 13:01:44 EDT
Description of problem:

My external monitor, connected through VGA to my Thinkpad T520, suspends when I close the laptop lid. In Fedora 16 the monitor was not suspended but with Fedora 17 and a new version of gnome-power-manager, the display is turned off and the screen is locked, which is very annoying. There is this Bugreport in the Gnome Bugzilla which describes the problem very well, but it is reassigned to gnome-power-manager and nothing has changed.

When I disable the gnome-power-manager through dconf (org/gnome/settings-daemon/plugins/power), the monitor flickers for a short time but it is not disabled. But this is not an opportunity because suspend on lid close without a connected Display is very usefull.

Version-Release number of selected component (if applicable):
gnome-power-manager-3.4.0-1.fc17.x86_64
kernel-3.4.0-1.fc17.x86_64


How reproducible:

Steps to Reproduce:
1. connect a display to your notebook and use it
2. close the laptop lid
3. the external monitor goes off
  
Actual results:

the display goes off

Expected results:

the display should be enabled
Comment 1 Ivan Vlk 2012-09-26 05:45:20 EDT
+1

same problem with DVI output.
Comment 2 Mikko Huhtala 2012-12-23 10:17:10 EST
I have this problem with Fedora 18, Lenovo B590 (Intel Core i3 and HD 4000 graphics) and HDMI. I have

gnome-settings-daemon-3.6.3-2.fc18.x86_64
kernel-3.6.11-3.fc18.x86_64

The command

gsettings list-recursively org.gnome.settings-daemon.plugins.power

reports the following:

org.gnome.settings-daemon.plugins.power lid-close-ac-action 'suspend'
org.gnome.settings-daemon.plugins.power lid-close-battery-action 'suspend'
org.gnome.settings-daemon.plugins.power lid-close-suspend-with-external-monitor false

Whe I close the lid, the laptop does not suspend, but the signal to the external display is turned off. When I open the lid, the external display comes back on again without problems.
Comment 3 Mikko Huhtala 2013-01-02 07:28:21 EST
gnome-power-manager is probably the wrong component for this bug. At least on F18, gnome-power-manager only contains the statistics tool. The component should probably be gnome-settings-daemon or kernel.
Comment 4 Mikko Huhtala 2013-01-02 16:56:38 EST
I learned by searching FedoraForum.org that the external display actually will wake up if the mouse is moved for a few seconds after the laptop lid close. This works for me on x64 F18 and Lenovo B590. It's still disconcerting for new users that the external monitor goes blank, because it takes a moment to wake it up with mouse activity. If you don't know this and are just dabbling with the mouse and keyboard, you're unlikely to wake the monitor up. It would be nice to have a fix for the blackout.
Comment 5 Predrag Knezevic 2013-02-05 17:19:30 EST
I had the issue on Fedora 17 but in combination with Jupiter applet installed. The fix was to set the primary display to the external monitor.
Comment 6 Fedora End Of Life 2013-07-03 18:41:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 20:44:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.